/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/

body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overscroll-behavior: none;
    color: #333;
}

.logo {
    width: 380px;
    max-width: calc(100vw - 120px);
}

.lenis.lenis-smooth {
    scroll-behavior: auto;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.product-section {
    /* width: 100vw; */
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    text-align: center;
    color: white;
    transition: opacity 0.5s ease-in-out;
}

.product-section>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.product-content {
    background: rgb(250 250 250 / 90%);
    color: #4d4c4a;
    padding: 2rem;
    border-radius: 12px;
    max-width: 80%;
    width: 800px;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

/* A classe 'is-visible' aciona a animação */
.product-content.is-visible {
    opacity: 1;
    transform: translateY(0);
}

.product-content h2 {
    font-size: 3rem;
    font-weight: 700;
    margin-bottom: 0.5rem;
}

.product-content p {
    font-size: 1.25rem;
    font-weight: 400;
}

@media (max-width: 800px) {
    .product-content h2 {
        font-size: 2rem;
    }
}